commit:     1cec40a3d034d314c3956d7e4d60f8c42ded8bb6
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sat May  3 11:57:22 2025 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sat May  3 11:57:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cec40a3

app-shells/tcsh-6.24.15: version bump

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 app-shells/tcsh/Manifest            |   2 +-
 app-shells/tcsh/tcsh-6.24.15.ebuild | 106 ++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+), 1 deletion(-)

diff --git a/app-shells/tcsh/Manifest b/app-shells/tcsh/Manifest
index 9d6087cc8434..af63622aa6e8 100644
--- a/app-shells/tcsh/Manifest
+++ b/app-shells/tcsh/Manifest
@@ -1,4 +1,4 @@
 DIST tcsh-6.24.01.tar.gz 949438 BLAKE2B 
4f3005e98d02aa12cea41405ab7e56cd840ba207d36a657699041b045f537bfbf1c992a20435ee97ea21b4bb25f0d7af532ccd2ef50de8542ca94f914e3f3ca5
 SHA512 
47425f9bc5ae3df163fe1c9f8a1b1a6c3893b186843d561fb7020c75561587286036cc679212f17fd0f760735d9e01da414e60a69db0ffcb74276f053ea80479
-DIST tcsh-6.24.13.tar.gz 958563 BLAKE2B 
5ed95c6acce0e12b21c92758f13397d12792e7e26ea6328442bdf2716e335b1ef1a4c277b2a8db137c6446ede5b5bfdbc933716906ae13e45bf1107ab5ab6086
 SHA512 
7405d3102c0cf70dd01396681e3fd69aeec70da7a99f6ffccc163ebd723fff0f2640f78fbcf452413edf24c96b22962f286fce5a3a1ac71276a348faacf9b231
 DIST tcsh-6.24.14.tar.gz 958795 BLAKE2B 
0b682ac12a5851b2d3a00516f75162cd68b7d521719e92c1eb93aa45464bfecec63d39cd2ef69eb97c9adb7e3dbb052afe4a7419b67940caa6be3115df433939
 SHA512 
a76012f031ef8a77987ec9f35af9d2513f9609b6f847e567e07d30afeb69a7758df92fd46e923da3057e94f77457c2571703cb58e613ddcf465eee4e95564aa5
+DIST tcsh-6.24.15.tar.gz 958802 BLAKE2B 
da369d2c6abfcbd93c1a1eaf74663443b545ce82f53fa0272829a1e625255c982f890250f1adf26c952dc026e22cbe960981c19c16194ce4801a907f2b3e32e2
 SHA512 
190d394ee15772b846ccc8052ba019baea7a59a1cd303a9440c39fb28325b29726135caf79382b76be1ba1479061c9e6c5240590ae3165e03d968ce506926b62
 DIST tcsh-gentoo-patches-r1.10.tar.xz 2344 BLAKE2B 
82131a926b99734173c2524cddfad69cdfc4653370699da8ebc135bd198a32b0bb290ff93b7a478dcf02c7353a82a2cc4efb0a2e39539d1a74ea9fea1b3f7e2a
 SHA512 
d9e01c9b162529501b5eaafe031dfe880818129f4d197a07012e698293841269568a19c595453259d784129271c7f7230b6ce326880b06c4c82bb89b8645a3f4

diff --git a/app-shells/tcsh/tcsh-6.24.15.ebuild 
b/app-shells/tcsh/tcsh-6.24.15.ebuild
new file mode 100644
index 000000000000..4cb72af7562b
--- /dev/null
+++ b/app-shells/tcsh/tcsh-6.24.15.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit flag-o-matic autotools prefix
+
+CONFVER="1.10"
+
+DESCRIPTION="Enhanced version of the Berkeley C shell (csh)"
+HOMEPAGE="https://www.tcsh.org/";
+SRC_URI="
+       https://astron.com/pub/tcsh/${P}.tar.gz
+       https://astron.com/pub/tcsh/old/${P}.tar.gz
+       
https://dev.gentoo.org/~grobian/distfiles/tcsh-gentoo-patches-r${CONFVER}.tar.xz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+IUSE="nls man"
+RESTRICT="test"
+
+# we need gettext because we run autoconf (AM_ICONV)
+RDEPEND="
+       >=sys-libs/ncurses-5.1:0=
+       virtual/libcrypt:=
+       virtual/libiconv"
+DEPEND="${RDEPEND}
+       sys-devel/gettext"
+
+CONFDIR=${WORKDIR}/tcsh-gentoo-patches-r${CONFVER}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-6.21.00-use-ncurses.patch
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+
+       # fix gencat usage
+       sed \
+               -e 's/cat \$\^ \$> | \$(GENCAT) \$@/rm -f $@; $(GENCAT) $@ $> 
$^/' \
+               -i nls/Makefile.in || die
+
+       # always use sysmalloc, the builtin malloc fails on Darwin, musl,
+       # etc. it's already used for glibc-linux, so this doesn't change
+       # anything for the majority of users
+       sed -i -e 's/undef SYSMALLOC/define SYSMALLOC/' config_f.h || die
+
+       # unify ECHO behaviour
+       echo "#undef ECHO_STYLE" >> config_f.h
+       echo "#define ECHO_STYLE      BOTH_ECHO" >> config_f.h
+
+       eprefixify "${CONFDIR}"/*
+       # activate the right default PATH
+       if [[ -z ${EPREFIX} ]] ; then
+               sed -i \
+                       -e 's/^#MAIN//' -e '/^#PREFIX/d' \
+                       "${CONFDIR}"/csh.login || die
+       else
+               sed -i \
+                       -e 's/^#PREFIX//' -e '/^#MAIN/d' \
+                       "${CONFDIR}"/csh.login || die
+       fi
+}
+
+src_configure() {
+       # make tcsh look and live along the lines of the prefix
+       append-cppflags -D_PATH_DOTCSHRC="'"'"${EPREFIX}/etc/csh.cshrc"'"'"
+       append-cppflags -D_PATH_DOTLOGIN="'"'"${EPREFIX}/etc/csh.login"'"'"
+       append-cppflags -D_PATH_DOTLOGOUT="'"'"${EPREFIX}/etc/csh.logout"'"'"
+       append-cppflags -D_PATH_USRBIN="'"'"${EPREFIX}/usr/bin"'"'"
+       append-cppflags -D_PATH_BIN="'"'"${EPREFIX}/bin"'"'"
+
+       # musl's utmp is non-functional
+       if use elibc_musl ; then
+               export ac_cv_header_utmp_h=no
+               export ac_cv_header_utmpx_h=no
+       fi
+
+       econf \
+               --prefix="${EPREFIX:-}" \
+               --datarootdir='${prefix}/usr/share' \
+               $(use_enable nls)
+}
+
+src_install() {
+       emake DESTDIR="${D}" install install.man
+
+       DOCS=( FAQ Fixes Ported README.md WishList Y2K )
+       einstalldocs
+
+       if ! use man ; then
+               rm -Rf "${ED}"/usr/share/man
+       fi
+
+       insinto /etc
+       doins \
+               "${CONFDIR}"/csh.cshrc \
+               "${CONFDIR}"/csh.login
+
+       # bug #119703: add csh -> tcsh symlink
+       dosym tcsh /bin/csh
+}

Reply via email to